<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_b"></a>- b -</h3><ul>
<li>binuuid
: <a class="el" href="struct_u_u_i_d.html#a0f360133eaacc08d979443a488d7a59b">UUID</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>class
: <a class="el" href="struct_p_o_i_n_t2.html#a0399eb78125961fc22085d4aac6b0d15">POINT2</a>
, <a class="el" href="struct_p_o_i_n_t3.html#a0399eb78125961fc22085d4aac6b0d15">POINT3</a>
, <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a0399eb78125961fc22085d4aac6b0d15">PROGRESS</a>
, <a class="el" href="struct_s_h_a_p_e.html#a0399eb78125961fc22085d4aac6b0d15">SHAPE</a>
, <a class="el" href="struct_s_t_r_i_n_g.html#a0399eb78125961fc22085d4aac6b0d15">STRING</a>
, <a class="el" href="struct_u_u_i_d.html#a0399eb78125961fc22085d4aac6b0d15">UUID</a>
, <a class="el" href="struct_v_e_c2.html#a0399eb78125961fc22085d4aac6b0d15">VEC2</a>
, <a class="el" href="struct_v_e_c3.html#a0399eb78125961fc22085d4aac6b0d15">VEC3</a>
, <a class="el" href="struct_v_e_c4.html#a0399eb78125961fc22085d4aac6b0d15">VEC4</a>
, <a class="el" href="struct_v_e_c.html#a0399eb78125961fc22085d4aac6b0d15">VEC</a>
, <a class="el" href="struct_v_e_c_l_i_s_t.html#a0399eb78125961fc22085d4aac6b0d15">VECLIST</a>
, <a class="el" href="struct_w_i_n_d_o_w.html#a0399eb78125961fc22085d4aac6b0d15">WINDOW</a>
</li>
<li>clone
: <a class="el" href="struct_c_l_a_s_s.html#afbe8379b5bef1e4f5df3a59dd4928c17">CLASS</a>
</li>
<li>color
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#abff8258b539902f219c0b34c403d0f76">PROGRESS</a>
</li>
<li>ctor
: <a class="el" href="struct_c_l_a_s_s.html#a83bf6c579a52a01899badf321ee3f7f3">CLASS</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>differ
: <a class="el" href="struct_c_l_a_s_s.html#aabe6e11e40a394c1beff6e40f4edf806">CLASS</a>
</li>
<li>draw
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a02dd5bde961c054eabc8c7122b56b744">PROGRESS</a>
</li>
<li>dtor
: <a class="el" href="struct_c_l_a_s_s.html#a2cd5db2916efc17482d2ec0656fc8dce">CLASS</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>element
: <a class="el" href="struct_v_e_c.html#ac5d37d2bd259acaf98a8d169904966d0">VEC</a>
</li>
<li>end
: <a class="el" href="struct_v_e_c_l_i_s_t.html#a3e2e21dc4e172d02cc4396b2f5a187ac">VECLIST</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>has_progress
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a6fcd374bc227866ee35dc07b6a6d20c4">PROGRESS</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>is_main_window
: <a class="el" href="struct_w_i_n_d_o_w.html#a525d7765f214d3564dd0646d4459fee6">WINDOW</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>margin
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#af115413ba420d8fe35c15ef27f90f7ad">PROGRESS</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="struct_w_i_n_d_o_w.html#ac20922fac488c617dcd7fa781aaef2db">WINDOW</a>
</li>
<li>next
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a3d60e8e01eae477b5d8af7e762f5d8b5">PROGRESS</a>
, <a class="el" href="struct_v_e_c.html#a75b19ffcca77bfc647ff02695958fd95">VEC</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>opacity
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a6f4dca6b48529c4d3dade0e8d46f4e43">PROGRESS</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>position
: <a class="el" href="struct_p_o_i_n_t2.html#ade86a07d1b8e910ce1af918c1e5a8683">POINT2</a>
, <a class="el" href="struct_p_o_i_n_t3.html#a1fef0ae52631420c49d421e1dedf4df2">POINT3</a>
, <a class="el" href="struct_p_r_o_g_r_e_s_s.html#ade86a07d1b8e910ce1af918c1e5a8683">PROGRESS</a>
, <a class="el" href="struct_s_h_a_p_e.html#a1fef0ae52631420c49d421e1dedf4df2">SHAPE</a>
</li>
<li>prepareRender
: <a class="el" href="struct_w_i_n_d_o_w.html#ab5e3aa2ee28fe5a624f1c45095fd2b51">WINDOW</a>
</li>
<li>prev
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a4718f355fd6ec3d4ab269d7055c8f855">PROGRESS</a>
</li>
<li>progress
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#ac7abb4766cd3f65c31f56279d7decff8">PROGRESS</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>rect
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a55aefd071649ac9dd8133e2d8a52d11f">PROGRESS</a>
</li>
<li>render
: <a class="el" href="struct_w_i_n_d_o_w.html#af8ba408155d09b4ff60666c146839ca7">WINDOW</a>
</li>
<li>renderer
: <a class="el" href="struct_w_i_n_d_o_w.html#a966da7a60c4ea3ba301e26ccc5efe452">WINDOW</a>
</li>
<li>rotation
: <a class="el" href="struct_s_h_a_p_e.html#a084c753c6cdd793a4f33b895d977a391">SHAPE</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>setPosition
: <a class="el" href="struct_p_o_i_n_t2.html#a854c80d94bda836aad4460f4ef972126">POINT2</a>
, <a class="el" href="struct_p_o_i_n_t3.html#a12d3f063a28591ced07fe1624543a9d4">POINT3</a>
, <a class="el" href="struct_s_h_a_p_e.html#ae7b3a3603b6f43a2d65363cc7e56c5ee">SHAPE</a>
</li>
<li>setRotation
: <a class="el" href="struct_s_h_a_p_e.html#a86da2bc5d4f7216d6ba559b39be99cdf">SHAPE</a>
</li>
<li>setup
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a09bed13b66a4a5118ec654e837638e9b">PROGRESS</a>
</li>
<li>size
: <a class="el" href="struct_c_l_a_s_s.html#a854352f53b148adc24983a58a1866d66">CLASS</a>
, <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a4e90d4c16be129dc83da1fe55ea04379">PROGRESS</a>
, <a class="el" href="struct_v_e_c_l_i_s_t.html#a439227feff9d7f55384e8780cfc2eb82">VECLIST</a>
</li>
<li>splash
: <a class="el" href="struct_w_i_n_d_o_w.html#ae54efda219ff233e2e9091a7300cb33e">WINDOW</a>
</li>
<li>start
: <a class="el" href="struct_v_e_c_l_i_s_t.html#aa11799c06f6657976df502cff216088e">VECLIST</a>
</li>
<li>surface
: <a class="el" href="struct_w_i_n_d_o_w.html#a2f5cac12e913bcfcff660305bf88dd3b">WINDOW</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>target_window
: <a class="el" href="struct_p_r_o_g_r_e_s_s.html#a911625119c23f07f008c2b6e0b9748d5">PROGRESS</a>
</li>
<li>text
: <a class="el" href="struct_s_t_r_i_n_g.html#a5633b1433389cec21ade3811bbe9ca5b">STRING</a>
</li>
<li>texture
: <a class="el" href="struct_w_i_n_d_o_w.html#a859b8efbf9abe8e82757ee5c75a0c97c">WINDOW</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>uuid
: <a class="el" href="struct_u_u_i_d.html#a1d60cc9ac71b04cd55453df393f5b2a8">UUID</a>
, <a class="el" href="struct_w_i_n_d_o_w.html#aa5c30ec3e3fc372af365f299e7a6abde">WINDOW</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>w
: <a class="el" href="struct_v_e_c4.html#afb3248bab1c7ee0ad97e9d4c275b4c67">VEC4</a>
</li>
<li>window
: <a class="el" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">WINDOW</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>x
: <a class="el" href="struct_v_e_c2.html#af88b946fb90d5f08b5fb740c70e98c10">VEC2</a>
, <a class="el" href="struct_v_e_c3.html#af88b946fb90d5f08b5fb740c70e98c10">VEC3</a>
, <a class="el" href="struct_v_e_c4.html#af88b946fb90d5f08b5fb740c70e98c10">VEC4</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>y
: <a class="el" href="struct_v_e_c2.html#ab927965981178aa1fba979a37168db2a">VEC2</a>
, <a class="el" href="struct_v_e_c3.html#ab927965981178aa1fba979a37168db2a">VEC3</a>
, <a class="el" href="struct_v_e_c4.html#ab927965981178aa1fba979a37168db2a">VEC4</a>
</li>
</ul>


<h3><a id="index_z"></a>- z -</h3><ul>
<li>z
: <a class="el" href="struct_v_e_c3.html#ab3e6ed577a7c669c19de1f9c1b46c872">VEC3</a>
, <a class="el" href="struct_v_e_c4.html#ab3e6ed577a7c669c19de1f9c1b46c872">VEC4</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
